Bug 828961

Summary: [gu] failed pofilter options test for subscription-manager translations
Product: Red Hat Enterprise Linux 5 Reporter: Sharath Dwaral <fsharath>
Component: subscription-managerAssignee: Bryan Kearney <bkearney>
Status: CLOSED CURRENTRELEASE QA Contact: Entitlement Bugs <entitlement-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 5.8CC: ankit, jgalipea, swkothar
Target Milestone: rcKeywords: i18n, Translation
Target Release: 5.9   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-09 12:46:04 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 771748    

Description Sharath Dwaral 2012-06-05 12:01:56 EDT
Description of problem:
The gnome options were not properly translated for 'gu' language.  Sample output is shown below, 


Version-Release number of selected component (if applicable):
[root@fsharath-rhel63server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:

[root@fsharath-rhel63server ~]# msgunfmt --no-wrap /usr/share/locale/gu/LC_MESSAGES/rhsm.mo -o /usr/share/locale/gu/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t options /usr/share/locale/gu/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: gu\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-11 06:57-0400\n"
"Last-Translator: swkothar <swkothar@redhat.com>\n"
"Language-Team: Gujarati\n"
"Language: gu\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n!=1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) options: Missing or translated option '--username'
msgid "Error: you must register or specify --username and password to list service levels"
msgstr "ભૂલ: તમારે યાદી સેવા સ્તરોમાં --વપરાશકર્તાનામ અને પાસવર્ડને સ્પષ્ટ અથવા રજીસ્ટર કરવુ જ જોઇએ"

Steps to Reproduce:

Actual results:
Shown above

Expected results:

>option --username in msgID should not be translated to native language in msgstr. 

msgid "Error: you must register or specify --username and password to list service levels"
>msgstr "ભૂલ: તમારે યાદી સેવા સ્તરોમાં --વપરાશકર્તાનામ અને પાસવર્ડને સ્પષ્ટ અથવા રજીસ્ટર કરવુ જ જોઇએ"


Additional info:

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#options
Comment 3 Sweta Kothari 2012-06-26 04:16:00 EDT
I have corrected it on 0.99.X version, Please look into it.
Comment 4 Bryan Kearney 2012-07-03 14:08:41 EDT
Fixed in 1.0.8 or later.
Comment 5 Sharath Dwaral 2012-07-16 16:53:20 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.0.9-1.git.22.35b5155.el5
python-rhsm-1.0.3-1.git.2.47dc8f4.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.9-1.git.22.35b5155.el5
subscription-manager-gui-1.0.9-1.git.22.35b5155.el5
subscription-manager-firstboot-1.0.9-1.git.22.35b5155.el5


Verification:
# msgunfmt --no-wrap /usr/share/locale/gu/LC_MESSAGES/rhsm.mo -o /usr/share/locale/gu/LC_MESSAGES/rhsm.po
# pofilter --gnome -t options /usr/share/locale/gu/LC_MESSAGES/rhsm.poprocessing 1 files...
[###########################################] 100%


Moving bug to VERIFIED
Comment 6 Bryan Kearney 2013-01-09 12:46:04 EST
Batch change of verified bugs which must have missed making the errata.